import logging, wx
import wx.xrc as xrc

log = logging.getLogger('iPodder')
plugin_name = __name__.split('.')[-1]

class Plugin(object):

    def __init__(self):
        log.info("Loading plugin: %s" % plugin_name)

    def hook_gui_init(self,ipoddergui):
        #print ipoddergui
        #print type(ipoddergui)
        #print dir(ipoddergui)
        mbar = ipoddergui.frame.GetMenuBar()
        #print dir(mbar)
        #self.remove_menu_item(mbar, xrc.XRCID("MENUBARHELP"))
        #self.remove_menu_item(mbar, xrc.XRCID("MENUBARFAQ"))
        #self.remove_menu_item(mbar, xrc.XRCID("MENUBARDONATE"))
        #self.remove_menu_item(mbar, xrc.XRCID("MENUBARREPORTPROBLEM"))
        self.clean_menus(mbar)
        
    def remove_menu_item(self, mbar, itemid):
        for i in range(mbar.GetMenuCount()):
            menu = mbar.GetMenu(i)
            if menu.FindItemById(itemid):
                menu.Delete(itemid)

    def clean_menus(self, mbar):
        for i in range(mbar.GetMenuCount()):
            menu = mbar.GetMenu(i)
            menuitem = menu.FindItemByPosition(0)
            if menuitem.IsSeparator():
                menu.DeleteItem(menuitem)
